org.eclipse.eef.ide.ui.internal.preferences

## Class EEFPreferences

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.preferences.EEFPreferences

    public final class EEFPreferences
    extends java.lang.Object

Preferences for the EEF UI.

### Field Summary

Fields
`static EEFTextLifecycleManager.ConflictResolutionMode` `DEFAULT_TEXT_CONFLICT_RESOLUTION_MODE` The default value for text conflict resolution mode.
`static java.lang.String` `TEXT_CONFLICT_RESOLUTION_MODE` The key for the text conflict resolution mode.

### Method Summary

All Methods Static Methods Concrete Methods
`static EEFTextLifecycleManager.ConflictResolutionMode` `getTextConflictResolutionMode()` Indicates how text conflicts should be resolved.
`static void` `setTextConflictResolutionMode(EEFTextLifecycleManager.ConflictResolutionMode mode)` Sets the state of the debug mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEXT_CONFLICT_RESOLUTION_MODE

    public static final java.lang.String TEXT_CONFLICT_RESOLUTION_MODE

The key for the text conflict resolution mode.

See Also:
  Constant Field Values

#### DEFAULT_TEXT_CONFLICT_RESOLUTION_MODE

    public static final EEFTextLifecycleManager.ConflictResolutionMode DEFAULT_TEXT_CONFLICT_RESOLUTION_MODE

The default value for text conflict resolution mode.

### Method Detail

#### getTextConflictResolutionMode

    public static EEFTextLifecycleManager.ConflictResolutionMode getTextConflictResolutionMode()

Indicates how text conflicts should be resolved.

Returns:
  the conflict resolution mode to be used.

#### setTextConflictResolutionMode

    public static void setTextConflictResolutionMode(EEFTextLifecycleManager.ConflictResolutionMode mode)

Sets the state of the debug mode.

Parameters:
  `mode` - the conflict resolution mode to use.